Bug 56462 - ps2pdf fails with /rangecheck in --.type42execchar-- error
ps2pdf fails with /rangecheck in --.type42execchar-- error
Product: Red Hat Linux
Classification: Retired
Component: ghostscript (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Aaron Brown
: 59560 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2001-11-19 06:02 EST by Richard Ames
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-02-15 04:17:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Postscript file that will not convert to pdf (1.03 MB, text/plain)
2002-01-10 06:26 EST, Richard Ames
no flags Details

  None (edit)
Description Richard Ames 2001-11-19 06:02:05 EST
Description of Problem: ps2pdf in Ghostscript 6.51 fails on file that
ghostscript-5.50-17 converted without error.

Error output is:

[richard@neon week21]$ ps2pdf siv38n21.ps
Error: /rangecheck in --.type42execchar--
Operand stack:
   --dict:12/13(ro)(L)--   82   G52   82
Execution stack:
   %interp_exit   .runexec2   --nostringval--   --nostringval--  
--nostringval--   2   %stopped_push   --nostringval--   --nostringval--  
--nostringval--   false   1   %stopped_push   1   3   %oparray_pop   1  
3   %oparray_pop   1   3
%oparray_pop   1   3   %oparray_pop   .runexec2   --nostringval--  
--nostringval--   --nostringval--   2   %stopped_push   --nostringval--  
--nostringval--   %finish_stringwidth   --nostringval--   --nostringval--  
4   0   --nostringval--   (gs_show_enum)   %op_show_continue  
Dictionary stack:
   --dict:1030/1476(ro)(G)--   --dict:0/20(G)--   --dict:85/200(L)--  
Current allocation mode is local
GNU Ghostscript 6.51: Unrecoverable error, exit code 1

Poscript file is available if desired.
Comment 1 Crutcher Dunnavant 2001-11-26 12:11:47 EST
please submit file.
Comment 2 Crutcher Dunnavant 2001-11-26 18:32:32 EST
Hmm. the file gets created, but ghostscript throws an exception. Very odd.
Comment 3 Richard Ames 2001-11-26 18:51:18 EST
As I recall it the pdf output it creates before the exception only has one
page... the ps file has 4 pages and ghostscript-5.50-17 converts all 4 without

Thanks for looking at it....  Richard.
Comment 4 Tim Waugh 2002-01-10 05:15:45 EST
Can you submit the file as an attachment to this bug report, so that we can 
track it better?  Thanks.
Comment 5 Richard Ames 2002-01-10 06:26:54 EST
Created attachment 42171 [details]
Postscript file that will not convert to pdf
Comment 6 Tim Waugh 2002-01-10 06:45:17 EST
Comment 7 Tim Waugh 2002-02-15 04:17:24 EST
*** Bug 59560 has been marked as a duplicate of this bug. ***
Comment 8 Tim Waugh 2002-02-22 07:54:20 EST
Seems to be fixed in ghostscript-6.53-1.

Note You need to log in before you can comment on or make changes to this bug.